# PetscMallocGetMaximumUsage

gets the maximum amount of memory used that was PetscMalloc()ed at any time during this run.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscMallocGetMaximumUsage(PetscLogDouble *space)

Not Collective

### Output Parameters

space -maximum number of bytes ever allocated at one time

### See Also

PetscMallocDump(), PetscMallocDumpLog(), PetscMallocGetMaximumUsage(), PetscMemoryGetCurrentUsage(),
PetscMemoryGetCurrentUsage()

Level:intermediate
Location: src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages